/**
 * XActMoodDefEvn2.java
 *
 * File generated from the medication2::XActMoodDefEvn2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodDefEvn2.
 *
 * 
 */

@XmlType(name = "XActMoodDefEvn")
@XmlEnum
@XmlRootElement(name = "XActMoodDefEvn2")
public enum XActMoodDefEvn2 {
	@XmlEnumValue("DEF")
	DEF("DEF"),
	@XmlEnumValue("EVN")
	EVN("EVN");
	
	private final String value;

    XActMoodDefEvn2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActMoodDefEvn2 fromValue(String v) {
        for (XActMoodDefEvn2 c: XActMoodDefEvn2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
